Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc97::/16
First address
fc97::
Last address
fc97:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc97:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
7.9.c.f.ip6.arpa
Split into smaller subnets/24

fc97::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1fc97::/24fc97:ff:ffff:ffff:ffff:ffff:ffff:ffff
2fc97:100::/24fc97:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3fc97:200::/24fc97:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4fc97:300::/24fc97:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5fc97:400::/24fc97:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6fc97:500::/24fc97:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7fc97:600::/24fc97:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8fc97:700::/24fc97:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9fc97:800::/24fc97:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10fc97:900::/24fc97:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11fc97:a00::/24fc97:aff:ffff:ffff:ffff:ffff:ffff:ffff
12fc97:b00::/24fc97:bff:ffff:ffff:ffff:ffff:ffff:ffff
13fc97:c00::/24fc97:cff:ffff:ffff:ffff:ffff:ffff:ffff
14fc97:d00::/24fc97:dff:ffff:ffff:ffff:ffff:ffff:ffff
15fc97:e00::/24fc97:eff:ffff:ffff:ffff:ffff:ffff:ffff
16fc97:f00::/24fc97:fff:ffff:ffff:ffff:ffff:ffff:ffff
17fc97:1000::/24fc97:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18fc97:1100::/24fc97:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19fc97:1200::/24fc97:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20fc97:1300::/24fc97:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21fc97:1400::/24fc97:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22fc97:1500::/24fc97:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23fc97:1600::/24fc97:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24fc97:1700::/24fc97:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25fc97:1800::/24fc97:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26fc97:1900::/24fc97:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27fc97:1a00::/24fc97:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28fc97:1b00::/24fc97:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29fc97:1c00::/24fc97:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30fc97:1d00::/24fc97:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31fc97:1e00::/24fc97:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32fc97:1f00::/24fc97:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33fc97:2000::/24fc97:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34fc97:2100::/24fc97:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35fc97:2200::/24fc97:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36fc97:2300::/24fc97:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37fc97:2400::/24fc97:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38fc97:2500::/24fc97:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39fc97:2600::/24fc97:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40fc97:2700::/24fc97:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41fc97:2800::/24fc97:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42fc97:2900::/24fc97:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43fc97:2a00::/24fc97:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44fc97:2b00::/24fc97:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45fc97:2c00::/24fc97:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46fc97:2d00::/24fc97:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47fc97:2e00::/24fc97:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48fc97:2f00::/24fc97:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49fc97:3000::/24fc97:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50fc97:3100::/24fc97:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51fc97:3200::/24fc97:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52fc97:3300::/24fc97:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53fc97:3400::/24fc97:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54fc97:3500::/24fc97:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55fc97:3600::/24fc97:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56fc97:3700::/24fc97:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57fc97:3800::/24fc97:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58fc97:3900::/24fc97:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59fc97:3a00::/24fc97:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60fc97:3b00::/24fc97:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61fc97:3c00::/24fc97:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62fc97:3d00::/24fc97:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63fc97:3e00::/24fc97:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64fc97:3f00::/24fc97:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65fc97:4000::/24fc97:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66fc97:4100::/24fc97:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67fc97:4200::/24fc97:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68fc97:4300::/24fc97:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69fc97:4400::/24fc97:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70fc97:4500::/24fc97:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71fc97:4600::/24fc97:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72fc97:4700::/24fc97:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73fc97:4800::/24fc97:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74fc97:4900::/24fc97:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75fc97:4a00::/24fc97:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76fc97:4b00::/24fc97:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77fc97:4c00::/24fc97:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78fc97:4d00::/24fc97:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79fc97:4e00::/24fc97:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80fc97:4f00::/24fc97:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81fc97:5000::/24fc97:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82fc97:5100::/24fc97:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83fc97:5200::/24fc97:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84fc97:5300::/24fc97:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85fc97:5400::/24fc97:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86fc97:5500::/24fc97:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87fc97:5600::/24fc97:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88fc97:5700::/24fc97:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89fc97:5800::/24fc97:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90fc97:5900::/24fc97:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91fc97:5a00::/24fc97:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92fc97:5b00::/24fc97:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93fc97:5c00::/24fc97:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94fc97:5d00::/24fc97:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95fc97:5e00::/24fc97:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96fc97:5f00::/24fc97:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97fc97:6000::/24fc97:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98fc97:6100::/24fc97:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99fc97:6200::/24fc97:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100fc97:6300::/24fc97:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101fc97:6400::/24fc97:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102fc97:6500::/24fc97:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103fc97:6600::/24fc97:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104fc97:6700::/24fc97:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105fc97:6800::/24fc97:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106fc97:6900::/24fc97:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107fc97:6a00::/24fc97:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108fc97:6b00::/24fc97:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109fc97:6c00::/24fc97:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110fc97:6d00::/24fc97:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111fc97:6e00::/24fc97:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112fc97:6f00::/24fc97:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113fc97:7000::/24fc97:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114fc97:7100::/24fc97:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115fc97:7200::/24fc97:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116fc97:7300::/24fc97:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117fc97:7400::/24fc97:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118fc97:7500::/24fc97:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119fc97:7600::/24fc97:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120fc97:7700::/24fc97:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121fc97:7800::/24fc97:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122fc97:7900::/24fc97:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123fc97:7a00::/24fc97:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124fc97:7b00::/24fc97:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125fc97:7c00::/24fc97:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126fc97:7d00::/24fc97:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127fc97:7e00::/24fc97:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128fc97:7f00::/24fc97:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129fc97:8000::/24fc97:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130fc97:8100::/24fc97:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131fc97:8200::/24fc97:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132fc97:8300::/24fc97:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133fc97:8400::/24fc97:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134fc97:8500::/24fc97:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135fc97:8600::/24fc97:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136fc97:8700::/24fc97:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137fc97:8800::/24fc97:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138fc97:8900::/24fc97:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139fc97:8a00::/24fc97:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140fc97:8b00::/24fc97:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141fc97:8c00::/24fc97:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142fc97:8d00::/24fc97:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143fc97:8e00::/24fc97:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144fc97:8f00::/24fc97:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145fc97:9000::/24fc97:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146fc97:9100::/24fc97:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147fc97:9200::/24fc97:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148fc97:9300::/24fc97:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149fc97:9400::/24fc97:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150fc97:9500::/24fc97:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151fc97:9600::/24fc97:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152fc97:9700::/24fc97:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153fc97:9800::/24fc97:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154fc97:9900::/24fc97:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155fc97:9a00::/24fc97:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156fc97:9b00::/24fc97:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157fc97:9c00::/24fc97:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158fc97:9d00::/24fc97:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159fc97:9e00::/24fc97:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160fc97:9f00::/24fc97:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161fc97:a000::/24fc97:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162fc97:a100::/24fc97:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163fc97:a200::/24fc97:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164fc97:a300::/24fc97:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165fc97:a400::/24fc97:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166fc97:a500::/24fc97:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167fc97:a600::/24fc97:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168fc97:a700::/24fc97:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169fc97:a800::/24fc97:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170fc97:a900::/24fc97:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171fc97:aa00::/24fc97:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172fc97:ab00::/24fc97:abff:ffff:ffff:ffff:ffff:ffff:ffff
173fc97:ac00::/24fc97:acff:ffff:ffff:ffff:ffff:ffff:ffff
174fc97:ad00::/24fc97:adff:ffff:ffff:ffff:ffff:ffff:ffff
175fc97:ae00::/24fc97:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176fc97:af00::/24fc97:afff:ffff:ffff:ffff:ffff:ffff:ffff
177fc97:b000::/24fc97:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178fc97:b100::/24fc97:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179fc97:b200::/24fc97:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180fc97:b300::/24fc97:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181fc97:b400::/24fc97:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182fc97:b500::/24fc97:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183fc97:b600::/24fc97:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184fc97:b700::/24fc97:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185fc97:b800::/24fc97:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186fc97:b900::/24fc97:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187fc97:ba00::/24fc97:baff:ffff:ffff:ffff:ffff:ffff:ffff
188fc97:bb00::/24fc97:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189fc97:bc00::/24fc97:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190fc97:bd00::/24fc97:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191fc97:be00::/24fc97:beff:ffff:ffff:ffff:ffff:ffff:ffff
192fc97:bf00::/24fc97:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193fc97:c000::/24fc97:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194fc97:c100::/24fc97:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195fc97:c200::/24fc97:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196fc97:c300::/24fc97:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197fc97:c400::/24fc97:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198fc97:c500::/24fc97:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199fc97:c600::/24fc97:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200fc97:c700::/24fc97:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201fc97:c800::/24fc97:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202fc97:c900::/24fc97:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203fc97:ca00::/24fc97:caff:ffff:ffff:ffff:ffff:ffff:ffff
204fc97:cb00::/24fc97:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205fc97:cc00::/24fc97:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206fc97:cd00::/24fc97:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207fc97:ce00::/24fc97:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208fc97:cf00::/24fc97:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209fc97:d000::/24fc97:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210fc97:d100::/24fc97:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211fc97:d200::/24fc97:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212fc97:d300::/24fc97:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213fc97:d400::/24fc97:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214fc97:d500::/24fc97:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215fc97:d600::/24fc97:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216fc97:d700::/24fc97:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217fc97:d800::/24fc97:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218fc97:d900::/24fc97:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219fc97:da00::/24fc97:daff:ffff:ffff:ffff:ffff:ffff:ffff
220fc97:db00::/24fc97:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221fc97:dc00::/24fc97:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222fc97:dd00::/24fc97:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223fc97:de00::/24fc97:deff:ffff:ffff:ffff:ffff:ffff:ffff
224fc97:df00::/24fc97:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225fc97:e000::/24fc97:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226fc97:e100::/24fc97:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227fc97:e200::/24fc97:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228fc97:e300::/24fc97:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229fc97:e400::/24fc97:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230fc97:e500::/24fc97:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231fc97:e600::/24fc97:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232fc97:e700::/24fc97:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233fc97:e800::/24fc97:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234fc97:e900::/24fc97:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235fc97:ea00::/24fc97:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236fc97:eb00::/24fc97:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237fc97:ec00::/24fc97:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238fc97:ed00::/24fc97:edff:ffff:ffff:ffff:ffff:ffff:ffff
239fc97:ee00::/24fc97:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240fc97:ef00::/24fc97:efff:ffff:ffff:ffff:ffff:ffff:ffff
241fc97:f000::/24fc97:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242fc97:f100::/24fc97:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243fc97:f200::/24fc97:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244fc97:f300::/24fc97:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245fc97:f400::/24fc97:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246fc97:f500::/24fc97:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247fc97:f600::/24fc97:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248fc97:f700::/24fc97:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249fc97:f800::/24fc97:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250fc97:f900::/24fc97:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251fc97:fa00::/24fc97:faff:ffff:ffff:ffff:ffff:ffff:ffff
252fc97:fb00::/24fc97:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253fc97:fc00::/24fc97:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254fc97:fd00::/24fc97:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255fc97:fe00::/24fc97:feff:ffff:ffff:ffff:ffff:ffff:ffff
256fc97:ff00::/24fc97:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses